Any plugins that work with Cacti 1.1.26?

Announcements concerning Plugins for Cacti

Moderators: Moderators, Developers

Post Reply
Author
Message
shonaran
Cacti User
Posts: 59
Joined: Thu May 04, 2017 8:49 am

Any plugins that work with Cacti 1.1.26?

#1 Post by shonaran » Thu Jan 11, 2018 12:01 pm

I want to test download/install/use of plugins and am searching for a plugin that will work with Cacti 1.1.26. Every one that I downloaded (dashboard, aggregate etc.) says it is Legacy, not compatible.

Which plugins are compatible and which are not? is there a site that lists available plugins for a given release?

Also, can someone suggest a simply plugin that I can simply download/install/test for 1.1.26? Thank you for your help.

netniV
Cacti Guru User
Posts: 2656
Joined: Sun Aug 27, 2017 12:05 am

Re: Any plugins that work with Cacti 1.1.26?

#2 Post by netniV » Thu Jan 11, 2018 1:24 pm

If you are only trying to see how plugins where, you can download the official cacti groups plugins which are at:
https://github.com/cacti/

All plugins start with plugin_ but need renaming when placed in the <cacti>/plugins/ folder so that they dont have that prefix.

If you are looking on the docs section of the website, its quite a bit dated. As such most plugins on there are either outdated or in some cases now integrated into the main base. For example, aggregate is now integrated as is autom8 (now called automate) so you don't even have to enable those plugins any more.

User avatar
Pucho
Cacti User
Posts: 180
Joined: Wed Jul 20, 2016 8:00 pm

Re: Any plugins that work with Cacti 1.1.26?

#3 Post by Pucho » Thu Jan 11, 2018 3:18 pm

Dashboard and TopX have been re written to work with 1.x
https://github.com/xmacan/plugin_intropage
Cacti - 1.1.37
Poller Type - Spine
Weathermap 0.98a
Server Info - Linux 3.10.0 - Centos 7
Web Server - Apache/2.4.6 PHP 5.4.16
MySQL - 5.5 ;RRDTool - 1.4.8 ;SNMP - 5.7.2
Religion - Anti forum pets

Code: Select all

SYSTEM STATS: Time:17.7383 Method:spine Processes:1 Threads:10 Hosts:279 HostsPerProcess:279 DataSources:7309 RRDsProcessed:3718

Code: Select all

WEATHERMAP STATS: Weathermap 0.98 run complete - Thu, 16 Nov 17 08:42:56 +1300: 39 maps were run in 23.22 seconds with 0 warnings.

shonaran
Cacti User
Posts: 59
Joined: Thu May 04, 2017 8:49 am

Re: Any plugins that work with Cacti 1.1.26?

#4 Post by shonaran » Thu Jan 11, 2018 4:31 pm

Thank you all. I was able to successfully download and install monitor.

I downloaded the Dashboard plugin and when I try to install it, I get the following error:

Validation error for variable id with a value of intropage-master. See backtrace below for more details.
(/plugins.php: 51 get_filter_request_var)(/lib/html_utility.php: 435 die_html_input_error)(/lib/html_validate.php: 60 cacti_debug_backtrace)

Cacti 1.1.28.

Post Reply